Name: x11-ssh-askpass
Version: 1.2.4.1
Release: alt1.1
Serial: 1

Packager: Dmitry V. Levin <ldv@altlinux.org>

Summary: An X11-based passphrase dialog for use with OpenSSH
License: BSD-like
Group: Networking/Remote access
Url: http://www.jmknoble.net/software/%name

Source: %url/%name-%version.tar.bz2

%define openssh_askpass_dir /usr/lib/openssh

PreReq: alternatives >= 0.0.6 , %openssh_askpass_dir
Provides: %openssh_askpass_dir/ssh-askpass
Requires: openssh-askpass-common
Provides: openssh-askpass-x11 = %serial:%version-%release
Obsoletes: openssh-askpass-x11

# Automatically added by buildreq on Mon May 05 2003
BuildRequires: XFree86-devel libalternatives-devel

%description
This is an X11-based passphrase dialog for use with OpenSSH.
These dialogs are intended to be called from the ssh-add program and
not invoked directly.

The features of x11-ssh-askpass are as follows:
+ Configurable via the standard X resource mechanism
  (/usr/lib/X11/app-defaults, ~/.Xdefaults, xrdb, etc.).
+ Requires only stock X11 libraries (libXt, libX11, libSM, libICE).
+ Can be configured to grab the keyboard and/or pointer (grabs the
  keyboard by default, not the pointer).

The user interface is somewhat different than most password/passphrase
dialogs and more similar to the X11-based passphrase dialog that
accompanies the regular SSH distribution.  Instead of a text field that
fills with asterisks or some other character as the user enters the
passphrase, a series of LED-like areas light up one-by-one with each
passphrase character entered, beginning from the lefthand edge of the
dialog.  When they reach the righthand edge, they go dark one-by-one
again, and so on.  This gives the user feedback that passphrase
characters have been entered, but does not provide onlookers with a
clue as to the length of the passphrase.

%prep
%setup -q

%build
%configure \
	--libexecdir=%openssh_askpass_dir \
	--mandir=%_x11mandir \
	--with-app-defaults-dir=%_sysconfdir/X11/app-defaults \
	#
xmkmf -a
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
%make_install install install.man DESTDIR="$RPM_BUILD_ROOT"

install -d $RPM_BUILD_ROOT%_altdir
cat <<EOF >$RPM_BUILD_ROOT%_altdir/%name
<group name="candidate">
    <option name="link">%openssh_askpass_dir/ssh-askpass</option>
    <option name="real">%openssh_askpass_dir/%name</option>
    <option name="weight" type="number">20</option>
</group>
EOF

%post
%register_alternatives %name -- ssh-askpass

%preun
%unregister_alternatives %name

%triggerpostun -- openssh-askpass-x11
%register_alternatives %name -- ssh-askpass

%files
%config(noreplace) %_sysconfdir/X11/app-defaults/SshAskpass
%_altdir/%name
%openssh_askpass_dir/%name
%_x11mandir/man?/%name.*
%doc README TODO ChangeLog SshAskpass*.ad

%changelog
* Mon May 05 2003 Stanislav Ievlev <inger@altlinux.ru> 1:1.2.4.1-alt1.1
- moved to new alternatives scheme

* Sat Feb 22 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.2.4.1-alt1
- Initial revision as separate package.
